Subject: Re: [BUG] git pull -- error: nothing to do

From: Denton Liu <[email-masked]>
Date: Wed, 1 Apr 2020 00:20:21 -0400

Hi Andrey,

On Tue, Mar 31, 2020 at 07:15:13PM +0300, _RuRo_ (Андрей Стоцкий) wrote:
> After updating git from `v2.25.1` to `v2.26.0`, I've noticed that performing `git pull` on an up-to-date repository now results in a non-zero exit code and `error: nothing to do` on stderr.
> With version 2.25.1, `git pull` used to finish with exit code 0 and `Current branch master is up to date.` on stdout.
> 
> The current (`v2.26.0`) behaviour only happens with the following config options:
> ```
> [pull]
>     rebase = true
> [rebase]
>     autoSquash = true
>     abbreviateCommands = true
> ```
> If any 1 of the 3 config options is not set, there is no error.
> 
> I think, this is a bug since many scripts and utilities rely on the exit code of `git pull` and the current behaviour causes false errors.

I believe that this bug has been reported already. Can you see if these
patches fix your problem:
https://lore.kernel.org/git/[email-masked]/

-Denton

> -- 
> Andrey Stotskiy,
> [email-masked]